# PhasicFlow: objectFile Class Reference

objectFile Class Reference
Inheritance diagram for objectFile:
[legend]
Collaboration diagram for objectFile:
[legend]

## Public Types

enum | readFlag { READ_ALWAYS, READ_NEVER, READ_IF_PRESENT }
enum | writeFlag { WRITE_ALWAYS, WRITE_NEVER }

## Public Member Functions

| objectFile (const word &name)
| objectFile (const word &name, const fileSystem &localPath, const readFlag &rf=READ_NEVER, const writeFlag &wf=WRITE_NEVER, bool rwHeader=true)
| objectFile (const objectFile &src)=default
| objectFile (objectFile &&src)=default
objectFile & | operator= (const objectFile &rhs)=default
objectFile & | operator= (objectFile &&rhs)=default
virtual | ~objectFile ()=default
virtual word | name () const
virtual fileSystem | localPath () const
readFlag | rFlag () const
writeFlag | wFlag () const
bool | isReadAlways () const
bool | isReadNever () const
bool | isReadIfPresent () const
bool | isWriteAlways () const
bool | isWriteNever () const
bool | readWriteHeader () const

## Protected Attributes

word | name_
readFlag | rFlag_
writeFlag | wFlag_
fileSystem | localPath_
bool | readWriteHeader_ = true

## Detailed Description

Definition at line 33 of file objectFile.hpp.

## Member Enumeration Documentation

## readFlag

enum readFlag

Enumerator
READ_ALWAYS |
READ_NEVER |
READ_IF_PRESENT |

Definition at line 37 of file objectFile.hpp.

## writeFlag

enum writeFlag

Enumerator
WRITE_ALWAYS |
WRITE_NEVER |

Definition at line 44 of file objectFile.hpp.

## Constructor & Destructor Documentation

## objectFile() [1/4]

objectFile | ( | const word & | name | ) |

Definition at line 24 of file objectFile.cpp.

## objectFile() [2/4]

objectFile | ( | const word & | name,
|  | const fileSystem & | localPath,
|  | const readFlag & | rf = `READ_NEVER`,
|  | const writeFlag & | wf = `WRITE_NEVER`,
|  | bool | rwHeader = `true`
| ) |  |

Definition at line 35 of file objectFile.cpp.

## objectFile() [3/4]

objectFile | ( | const objectFile & | src | ) |

default

## objectFile() [4/4]

objectFile | ( | objectFile && | src | ) |

default

## ~objectFile()

virtual ~objectFile | ( |  | ) |

virtualdefault

## Member Function Documentation

## operator=() [1/2]

objectFile& operator= | ( | const objectFile & | rhs | ) |

default

## operator=() [2/2]

objectFile& operator= | ( | objectFile && | rhs | ) |

default

## name()

virtual word name | ( |  | ) | const

inlinevirtual

Definition at line 97 of file objectFile.hpp.

References objectFile::name_.

Referenced by repository::emplaceObject(), repository::emplaceObjectOrGet(), repository::emplaceReplaceObject(), and repository::insertReplaceObject().

Here is the caller graph for this function:

## localPath()

virtual fileSystem localPath | ( |  | ) | const

inlinevirtual

Definition at line 102 of file objectFile.hpp.

References objectFile::localPath_.

## rFlag()

readFlag rFlag | ( |  | ) | const

inline

Definition at line 107 of file objectFile.hpp.

References objectFile::rFlag_.

## wFlag()

writeFlag wFlag | ( |  | ) | const

inline

Definition at line 112 of file objectFile.hpp.

References objectFile::wFlag_.

## isReadAlways()

bool isReadAlways | ( |  | ) | const

inline

Definition at line 117 of file objectFile.hpp.

References objectFile::READ_ALWAYS, and objectFile::rFlag_.

## isReadNever()

bool isReadNever | ( |  | ) | const

inline

Definition at line 122 of file objectFile.hpp.

References objectFile::READ_NEVER, and objectFile::rFlag_.

## isReadIfPresent()

bool isReadIfPresent | ( |  | ) | const

inline

Definition at line 127 of file objectFile.hpp.

References objectFile::READ_IF_PRESENT, and objectFile::rFlag_.

## isWriteAlways()

bool isWriteAlways | ( |  | ) | const

inline

Definition at line 132 of file objectFile.hpp.

References objectFile::wFlag_, and objectFile::WRITE_ALWAYS.

## isWriteNever()

bool isWriteNever | ( |  | ) | const

inline

Definition at line 137 of file objectFile.hpp.

References objectFile::wFlag_, and objectFile::WRITE_NEVER.

## readWriteHeader()

bool readWriteHeader | ( |  | ) | const

inline

Definition at line 142 of file objectFile.hpp.

References objectFile::readWriteHeader_.

## Member Data Documentation

## name_

word name_

protected

Definition at line 53 of file objectFile.hpp.

Referenced by objectFile::name().

## rFlag_

readFlag rFlag_

protected

Definition at line 56 of file objectFile.hpp.

Referenced by objectFile::isReadAlways(), objectFile::isReadIfPresent(), objectFile::isReadNever(), and objectFile::rFlag().

## wFlag_

writeFlag wFlag_

protected

Definition at line 59 of file objectFile.hpp.

Referenced by objectFile::isWriteAlways(), objectFile::isWriteNever(), and objectFile::wFlag().

## localPath_

fileSystem localPath_

protected

Definition at line 62 of file objectFile.hpp.

Referenced by objectFile::localPath().

## readWriteHeader_

bool readWriteHeader_ = true

protected

Definition at line 64 of file objectFile.hpp.

Referenced by objectFile::readWriteHeader().

The documentation for this class was generated from the following files:

- src/phasicFlow/repository/IOobject/objectFile.hpp
- src/phasicFlow/repository/IOobject/objectFile.cpp